Solr ConfigSet 远程代码执行漏洞

来源: 投稿
2024-02-11 23:32:00

漏洞描述

Apache Solr是一个开源的搜索服务,使用Java语言开发,主要基于HTTP和Apache Lucene实现的。

在受影响的版本中,SolrCloud模式下 ConfigSets API接受Java jar和class文件上传。在备份Solr Collections时,使用LocalFileSystemRepository将配置文件保存到磁盘。当备份保存到Solr ClassLoader目录时,class文件可被ConfigSet引用加载,导致执行任意代码。

漏洞名称 Solr ConfigSet远程代码执行漏洞
漏洞类型 动态管理代码资源的控制不恰当
发现时间 2024-02-10
漏洞影响广度
MPS编号 MPS-ovu7-lr9w
CVE编号 CVE-2023-50386
CNVD编号 -

影响范围

org.apache.solr:solr-core@[6.0.0, 8.11.3)

org.apache.solr:solr-core@[9.0.0, 9.4.1)

修复方案

将 org.apache.solr:solr-core 升级至 8.11.3 及以上版本

对solr API访问开启鉴权机制

将 org.apache.solr:solr-core 升级至 9.4.1 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-ovu7-lr9w

https://nvd.nist.gov/vuln/detail/CVE-2023-50386

 

Issue

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部